Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456438 - [RHEL4.7 Beta] Wake on LAN function does not operate with LAN card which uses igb driver
Summary: [RHEL4.7 Beta] Wake on LAN function does not operate with LAN card which uses...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Flavio Leitner
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 461297
TreeView+ depends on / blocked
 
Reported: 2008-07-23 16:58 UTC by Flavio Leitner
Modified: 2018-10-20 02:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:17:00 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2008-07-23 16:58 UTC, Flavio Leitner
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Flavio Leitner 2008-07-23 16:58:19 UTC
Description of problem:

Even if a magic packet is sent to LAN card which uses igb driver after 
shutting down the system, the system does not boot.
This problem occurs on both i386 and x86_64 architecture.

Hardware info:
Machine : Express5800/140Rf-4
CPU     : Intel(R) Xeon 2.40GHz x 1
Memory  : 2GB

Version-Release number of selected component (if applicable):
RHEL4.7 Beta
kernel-2.6.9-70.EL
kernel-smp-2.6.9-70.EL

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4.7 Beta, and reboot.
2. Shut down the server.
3. Send magic packet to the port of LAN card of the server which uses 
   igb driver.

Actual results:
System does not boot.

Expected results:
System boots.

Additional info:
- This problem occurs on RHEL4.6.
- The attached patch (igb-wol_rhel47.patch) fixes this problem and it is 
very close to the one proposed in bz#432364 for e1000e.
https://bugzilla.redhat.com/show_bug.cgi?id=432364#c41

Comment 1 Flavio Leitner 2008-07-23 16:58:19 UTC
Created attachment 312497 [details]
Proposed patch

Comment 3 RHEL Product and Program Management 2008-09-03 12:56:19 UTC
Updating PM score.

Comment 4 Jesse Brandeburg 2008-09-11 17:38:08 UTC
I agree this patch should fix the problem.  This is another bug introduced due to having to backport from kernel.org.

Comment 7 Vivek Goyal 2008-11-27 19:38:34 UTC
Committed in 78.20.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 Chris Ward 2009-05-05 13:57:08 UTC
Any updates here? Has this issue been resolved in the RHEL 4.8 Beta? later kernel?

Comment 12 errata-xmlrpc 2009-05-18 19:17:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.